<script>
import { useForm } from '@inertiajs/inertia-vue3'

export default {
    setup () {
        const form = useForm({
            title: '',
            dirct: '0',
            details: '',
            to_user_id: null,
            file: null,
        })

    function submit() {
        form.post('/task-store')
    }

        return { form, submit }
    },
}
</script>
<template>
    <form @submit.prevent="submit">
        <div class="container">
            <div class="row">
                <div class="col-6">
                    <div class="row">
                        <!-- عنوان المهمة -->
                        <div class="col-12 mb-4">
                            <label for="exampleFormControlInput1" class="form-label mr-px">عنوان المهمة:</label>
                            <input v-model="form.title" name="title" type="text" class="form-control rounded" id="exampleFormControlInput1" placeholder="مهمة جديدة" required>
                        </div>
                        <!-- مهمة مبارشرة أو غير مباشرة -->
                        <div class="col-5">
                            <div class="form-check">
                                <input v-model="form.dirct" value="1" name="dirct" class="form-check-input" type="radio" id="flexRadioDefault1">
                                <label class="form-check-label" for="flexRadioDefault1">
                                    مهمة مباشرة
                                </label>
                                </div>
                                <div class="form-check">
                                <input v-model="form.dirct" value="0" name="dirct" class="form-check-input" type="radio" id="flexRadioDefault2" checked>
                                <label class="form-check-label" for="flexRadioDefault2">
                                    مهمة غير مباشرة
                                </label>
                            </div>
                        </div>
                        <!-- اختيار صاحب المهمة -->
                        <div class="col-7">
                            <select v-model="form.to_user_id" name="to_user_id" class="form-select rounded" aria-label="Default select example">
                                <option selected :value="null">اختر صاحب المهمة</option>
                                <option v-for="user in $page.props.users.slice(1)" :value="user.id">{{ user.name }}</option>
                            </select>
                        </div>
                        <!-- رفع ملف -->
                        <div class="col-12">
                            <div class="mt-8 flex flex-column">
                                <label for="nothing" class="form-label text-center d-block bg-slate-0 rounded m-0 p-2">{{ (form.file == null ) ? "لم تختر أي ملف" : "تم اختيار الملف" }}</label>
                                <label for="formFile" class="form-label text-center d-block bg-slate-900 rounded m-0 p-2 text-white">تحميل ملف</label>
                                <input
                                style="display: none"
                                class="form-control"
                                type="file"
                                id="formFile"
                                name="file"
                                @input="form.file = $event.target.files[0]"
                                >
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-6">
                    <div class="row">
                        <div class="col-12">
                            <div class="mb-3">
                                <label for="exampleFormControlTextarea1" class="form-label">تفاصيل:</label>
                                <textarea v-model="form.details" name="details" class="form-control" id="exampleFormControlTextarea1" rows="9"></textarea>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12 flex justify-end">
                    <button type="submit" class="btn btn-success bg-slate-900 border-0">إنشاء المهمة</button>
                </div>
            </div>
        </div>
    </form>
</template>
